POST /api/v202106/reportdistribution/{reportDistributionId}/exec

Immediately executes a report distribution, optionally overriding the recipients

ExecuteReportDistributionV202106 Permissions: DistributedReportsSettings (Manage)
Triggers an immediate execution of the report distribution without affecting its regular schedule. Use overrideUserIds to send the report to specific users instead of the configured recipients.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
reportDistributionId Unique numeric identifier of the report distribution to execute integer (int32) Required

Query Parameters

Name Description Type Required
overrideUserIds Optional list of system user IDs to send to instead of configured recipients. Users must be active with email configured. array Optional

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

ReportDistributionLogResponse
Property Description Type
beginDate The date and time the report distribution was started string (date-time)
endDate The date and time the report distribution was completed string (date-time)
numberOfRecipients The number of unique recipients for the report If a user is a member of multiple groups assigned to the report distribution they will only be counted once integer (int32)
reportDistribution ReportDistributionChild
ReportDistributionChild properties
Property Description Type
createdByUser UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
reportCode The report code to run as part of the report distribution string
reportDistributionId The id of the report distribution integer (int32)
reportDistributionName The name of the report distribution string
reportDistributionLogId The report distribution log identifier integer (int32)
status The status of the report distribution Possible values - In Progress, Complete, Not sent, Some reports not sent string
Example Response application/json
{  "beginDate": "2026-06-29",  "endDate": "2026-06-29",  "numberOfRecipients": 1,  "reportDistribution": {    "createdByUser": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "reportCode": "string",    "reportDistributionId": 1,    "reportDistributionName": "string"
  },  "reportDistributionLogId": 1,  "status": "string"
}
404 Not Found The requested resource was not found. Verify the ID or path is correct.